jQuery(document).ready(function($) {

// 浜у搧鍐呴〉
    function tab(a,b){
        $('.'+a+' ul li').click(function(){
            $(this).addClass('hit').siblings().removeClass('hit');
            $('.'+b+'>div:eq('+$(this).index()+')').show().siblings().hide();
        })

    };
    tab("tabPanel1","panes1");
    tab("tabPanel2","panes2");


// 浜у搧鍒楄〃鏇村鎸夐挳


    $('.CPMore').click(function(event) {
        var spsxlist=$(this).siblings('._SpSxList');
        if($(this).text()=='鏇村+'){

            spsxlist.css({height: 'auto'});
            $(this).text('鏀惰捣 -')
        }
        else if($(this).text()=='鏀惰捣 -'){
            spsxlist.animate({height:'30px'}, 300);
            $(this).text('鏇村+')
        }

    });

// 鎵嬫満浜岀淮鐮�
    $('.TopPhoneER').hover(function() {
        $(this).find('.PhoneErWeiMa').stop().slideDown(300);
    }, function() {
        $(this).find('.PhoneErWeiMa').stop().slideUp(300);
    });
// 1111
    $('.NewComBox').hover(function() {
        $(this).stop().animate({top: "-"+10+"px"},300 );
    }, function() {
        $('.NewComBox').stop().animate({top: 0+"px"},300 );
    });

    // BottomLogin
    //鑾峰彇瑕佸畾浣嶅厓绱犺窛绂绘祻瑙堝櫒椤堕儴鐨勮窛绂�
    var navH = jQuery('.TopWidth').height();
    var windowHeight,documentHeight,scroH;
    var CloseTrue=true;
    //婊氬姩鏉′簨浠�
    jQuery(window).scroll(function(){
        //鑾峰彇婊氬姩鏉＄殑婊戝姩璺濈
        scroH = jQuery(this).scrollTop();
        windowHeight = $(this).height();
        documentHeight = $(document).height();
        //婊氬姩鏉＄殑婊戝姩璺濈澶т簬绛変簬瀹氫綅鍏冪礌璺濈娴忚鍣ㄩ《閮ㄧ殑璺濈锛屽氨鍥哄畾锛屽弽涔嬪氨涓嶅浐瀹�
        if(scroH>=navH && CloseTrue){
            $('.BottomLogin').stop().animate({"bottom":0+"px"},300);
        }else if(scroH<40 ){
            $('.BottomLogin').stop().animate({"bottom":-51+"px"},300);
        };
        if(scroH + windowHeight == documentHeight){
            $('.BottomLogin').stop().animate({"bottom":-51+"px"},300);
        }
    })

    $('.ButtonClose').click(function() {
        /* Act on the event */
        $('.BottomLogin').stop().animate({"bottom":-51+"px"},300);
        CloseTrue=false;
    });

// f1-f12
    //鑾峰彇瑕佸畾浣嶅厓绱犺窛绂绘祻瑙堝櫒椤堕儴鐨勮窛绂�
    var navH2 = jQuery('.TopWidth').height()+jQuery('.TopBannerWidth').height()+jQuery('.HeaderWidth').height()+jQuery('.headNav').height()+jQuery('.BannerDiv').height()+jQuery('.QyjsBgDiv').height()+jQuery('.luckstart').height()+jQuery('.NewCom').height()+jQuery('.ppgdiv').height()+jQuery('.TjCpDivc').height()+100;
    var contentItems = $(".FloorerAbout").find(".Floorer");
    var footheight=$('.foot').height();
    var currentItem=null;
    jQuery(window).scroll(function(){
        // 鏄剧ず
        if(scroH>=navH2){
            $('#menu').fadeIn(300);
        }else if(scroH<navH2 ){
            $('#menu').fadeOut(300);
        };
        // 搴曢儴瀹�
        if(scroH + windowHeight >= documentHeight-footheight){
            $('#menu').css({
                position: 'absolute',
                top:documentHeight-footheight-jQuery('.TjCpDivc').height()-125
            });
        }else{
            $('#menu').css({
                position: 'fixed',
                top:100+'px'
            });
        };
        // 瀹氫綅
        if (scroH+windowHeight==documentHeight) {
            currentItem= "#" + contentItems.last().attr("id");
        }else{
            contentItems.each(function () {
                var contentItem = $(this);
                var offsetTop = contentItem.offset().top;
                if (scroH > offsetTop -120) {//姝ゅ鐨�200瑙嗗叿浣撴儏鍐佃嚜琛岃瀹氾紝鍥犱负濡傛灉涓嶅噺鍘讳竴涓暟鍊硷紝鍦ㄥ垰濂芥粴鍔ㄥ埌涓€涓猟iv鐨勮竟缂樻椂锛岃彍鍗曠殑閫変腑鐘舵€佷細鍑洪敊锛屾瘮濡傦紝椤甸潰鍒氬ソ婊氬姩鍒扮涓€涓猟iv鐨勫簳閮ㄧ殑鏃跺€欙紝椤甸潰宸茬粡鏄剧ず鍑虹浜屼釜div锛岃€岃彍鍗曚腑杩樻槸绗竴涓€夐」澶勪簬閫変腑鐘舵€�
                    currentItem = "#" + contentItem.attr("id");
                }
            });
        }
        if (currentItem != $("#menu").find(".current").attr("href")) {
            var MenuFind=$("#menu").find(".current");
            var MenuNum=$("#menu").find(".current").attr("num");
            var MenuHref=$("#menu").find("[href=" + currentItem + "]");
            var MenuDate=$("#menu").find("[href=" + currentItem + "]").attr('data');
            MenuFind.text(MenuNum).removeClass("current");
            MenuHref.text(MenuDate).addClass("current");
        }

    });

    $('#menu li').find('.current').text($('#menu li').find('.current').attr('data'));

    $('#menu li a').hover(function() {
        if($(this).is('.current')==false)
            $(this).text($(this).attr('data'));
    }, function() {
        if($(this).is('.current')==false)
            $(this).text($(this).attr('num'));
    });
    $('#menu li a').click(function(event) {
        $('#menu li a').each(function(index, el) {
            $(this).text($(this).attr('num')).removeClass('current');
        });
        $(this).text($(this).attr('data')).addClass('current');
    });
});